petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetCoordinates

Gets a global vector with the coordinates associated with the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetCoordinates(DM dm, Vec *c)

Not Collective Many br

### Input Parameter

dm -the DM Many br

### Output Parameter

c -global coordinate vector Many br

### Note

This is a borrowed reference, so the user should NOT destroy this vector Many br

Each process has only the local coordinates (does NOT have the ghost coordinates). Many br

For DMDA, in two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,...) Many brand (x_0,y_0,z_0,x_1,y_1,z_1...) Many br

Many br

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMSetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex46.c.html